package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.*;
import org.rcisoft.business.manage.entity.BusFixedParam;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
* Created with  on 2018-5-2 16:09:29.
*/
@Repository
public interface BusFixedParamRepository extends Mapper<BusFixedParam> {

    /**
     * 批量插入
     * @param list
     * @return
     */
    @Insert("<script><foreach collection=\"list\" item=\"item\" separator=\";\">" +
            "insert into bus_fixed_param(ID, DEV_TP_ID, PARAM_CODE, PARAM_NM, PARAM_UNIT, PARAM_VALUE, PRO_ID) " +
            "values(#{item.id}, #{item.devTpId}, #{item.paramCode}, #{item.paramNm}, #{item.paramUnit}, #{item.paramValue}, #{item.proId})" +
            "</foreach></script>")
    @ResultType(Integer.class)
    Integer save(List<BusFixedParam> list);

    /**
     * 根据设备编号查询
     * @param devNum
     * @param proId
     * @return
     */
    @Select("<script>select f.* from bus_device d, bus_fixed_param f where d.DEV_TP_ID=f.DEV_TP_ID and d.DEV_NUM=#{devNum} and f.PRO_ID=#{proId}</script>")
    @ResultMap("BaseResultMap")
    List<BusFixedParam> queryBusFixedParamList(@Param("devNum") String devNum, @Param("proId") String proId);

}

